<!--<div class="back-controls text-right">-->
<!--  <a [routerLink]="'/login'" class="d-flex align-items-center">-->
<!--    <mat-icon class="large">-->
<!--      close-->
<!--    </mat-icon>-->
<!--  </a>-->
<!--</div>-->
<div class="contrast-content">
  <div class="container">
    <div class="back-controls">
      <div class="right">
        <a [routerLink]="'/login'" class="d-flex align-items-center">
          <mat-icon class="large m-0">
            close
          </mat-icon>
        </a>
      </div>
    </div>

    <div class="login-wrapper">
      <div class="forgot-wrapper-inner">
        <div class="row">
          <div class="col-xl-12 text-center">
            <img src="../../../../assets/kavanii-reverse.PNG" alt="logo" class="logo mb-3">
          </div>
        </div>

        <div class="row justify-content-md-center" *ngIf="errorMessage">
          <div class="col-12 col-lg-5 text-left mb-1">
            <app-alert [message]="errorMessage" extraClass="text-left" [type]="messageType" [closable]="false"
                       [isAbsolute]="false"></app-alert>
          </div>
        </div>

        <div class="row justify-content-md-center ">
          <div class="col-12 col-lg-5 text-center login-container">
            <form class="login-form" [formGroup]="loginForm">
              <div class="mb-3">
                <span>Don't have an account?</span> <a class="ml-1 bold" [routerLink]="'/register'">Register your
                business</a>
              </div>

              <div class="text-left">
                <div class="mb-3">
                  <h5 class="bold">Log In</h5>
                </div>

                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Email ID</mat-label>
                  <input matInput placeholder="Email ID" type="text" formControlName="userid" name="userid"/>
                  <mat-error *ngIf="loginForm.get('userid').hasError('required')" class="c-mat-error">
                    This field is required.
                  </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Password</mat-label>
                  <input matInput placeholder="Password" [type]="isDisplayPass ? 'text' : 'password'"
                         formControlName="password" name="password"/>
                  <mat-icon class="cursor-pointer" matSuffix (click)="isDisplayPass = !isDisplayPass">visibility
                  </mat-icon>
                  <mat-error *ngIf="loginForm.get('password').hasError('required')" class="c-mat-error">
                    This field is required.
                  </mat-error>
                </mat-form-field>

                <p class="m-0">
                  <mat-checkbox class="big">
                    Keep me logged in
                  </mat-checkbox>
                </p>

                <p class="mt-2">
                  By logging in, you agree to all <a href="#" class="bold active">Terms of Services</a> and
                  <a href="#" class="bold">Privacy Notice</a>.
                </p>
              </div>

              <div class="mt-3 text-center">
                <!-- [disabled]="signing || !loginForm.valid" -->
                <button mat-raised-button class="primary-mat-raised-button login-btn"
                        (click)="signIn($event)">{{ signInMessage }}</button>
              </div>
              <div class="forgot-password-text text-center">
                <a href="#" class="d-block bold" [routerLink]="'/forgotpassword'">Forgot Password?</a>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
